Package org.eclipse.net4j.util.registry

## Class UnmodifiableRegistry<K,​V>

- java.lang.Object
- - org.eclipse.net4j.util.registry.UnmodifiableRegistry<K,​V>

- All Implemented Interfaces:
    `java.util.Map<K,​V>`, `IContainer<java.util.Map.Entry<K,​V>>`, `INotifier`, `IRegistry<K,​V>`

      public class UnmodifiableRegistry<K,​V>
      extends java.lang.Object
      implements IRegistry<K,​V>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnmodifiableRegistry​(IRegistry<K,​V> delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(IListener listener)` | Adds a listener to this notifier.
    `void` | `clear()` |
    `void` | `commit()` |
    `void` | `commit​(boolean notifications)` |
    `boolean` | `containsKey​(java.lang.Object key)` |
    `boolean` | `containsValue​(java.lang.Object value)` |
    `java.util.Set<java.util.Map.Entry<K,​V>>` | `entrySet()` |
    `boolean` | `equals​(java.lang.Object o)` |
    `V` | `get​(java.lang.Object key)` |
    `java.util.Map.Entry<K,​V>[]` | `getElements()` |
    `IListener[]` | `getListeners()` | Returns the listeners that are registered with this notifier.
    `int` | `hashCode()` |
    `boolean` | `hasListeners()` | Returns `true` if one or more listeners are registered with this notifier, `false` otherwise.
    `boolean` | `isAutoCommit()` |
    `boolean` | `isEmpty()` |
    `java.util.Set<K>` | `keySet()` |
    `V` | `put​(K key, V value)` |
    `void` | `putAll​(java.util.Map<? extends K,​? extends V> t)` |
    `V` | `remove​(java.lang.Object key)` |
    `void` | `removeListener​(IListener listener)` | Removes a listener from this notifier.
    `void` | `setAutoCommit​(boolean on)` |
    `int` | `size()` |
    `java.util.Collection<V>` | `values()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### UnmodifiableRegistry

          public UnmodifiableRegistry​(IRegistry<K,​V> delegate)

  - ### Method Detail

    - #### addListener

          public void addListener​(IListener listener)

      Description copied from interface: `INotifier`
      Adds a listener to this notifier.

      Depending on the implementation duplicate listeners may lead to duplicate event delivery or not. Implementors are encouraged to prevent events from being delivered more than once to the same listener,

      Specified by:
        `addListener` in interface `INotifier`

    - #### removeListener

          public void removeListener​(IListener listener)

      Description copied from interface: `INotifier`
      Removes a listener from this notifier.
      Specified by:
        `removeListener` in interface `INotifier`

    - #### getListeners

          public IListener[] getListeners()

      Description copied from interface: `INotifier`
      Returns the listeners that are registered with this notifier.

      Depending on the implementation duplicate listeners may be contained in the returned array.

      Specified by:
        `getListeners` in interface `INotifier`
      Since:
        3.0

    - #### hasListeners

          public boolean hasListeners()

      Description copied from interface: `INotifier`
      Returns `true` if one or more listeners are registered with this notifier, `false` otherwise.
      Specified by:
        `hasListeners` in interface `INotifier`
      Since:
        3.0

    - #### put

          public V put​(K key,
                       V value)

      Specified by:
        `put` in interface `java.util.Map<K,​V>`

    - #### putAll

          public void putAll​(java.util.Map<? extends K,​? extends V> t)

      Specified by:
        `putAll` in interface `java.util.Map<K,​V>`

    - #### remove

          public V remove​(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<K,​V>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<K,​V>`

    - #### commit

          public void commit()

      Specified by:
        `commit` in interface `IRegistry<K,​V>`

    - #### commit

          public void commit​(boolean notifications)

      Specified by:
        `commit` in interface `IRegistry<K,​V>`

    - #### setAutoCommit

          public void setAutoCommit​(boolean on)

      Specified by:
        `setAutoCommit` in interface `IRegistry<K,​V>`

    - #### isAutoCommit

          public boolean isAutoCommit()

      Specified by:
        `isAutoCommit` in interface `IRegistry<K,​V>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `IContainer<K>`
      Specified by:
        `isEmpty` in interface `java.util.Map<K,​V>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<K,​V>`

    - #### getElements

          public java.util.Map.Entry<K,​V>[] getElements()

      Specified by:
        `getElements` in interface `IContainer<K>`

    - #### get

          public V get​(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<K,​V>`

    - #### containsKey

          public boolean containsKey​(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<K,​V>`

    - #### containsValue

          public boolean containsValue​(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<K,​V>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<K,​V>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<K,​V>`

    - #### keySet

          public java.util.Set<K> keySet()

      Specified by:
        `keySet` in interface `java.util.Map<K,​V>`

    - #### values

          public java.util.Collection<V> values()

      Specified by:
        `values` in interface `java.util.Map<K,​V>`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Specified by:
        `equals` in interface `java.util.Map<K,​V>`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map<K,​V>`
      Overrides:
        `hashCode` in class `java.lang.Object`